---
title: RTCDataChannel.ordered
slug: Web/API/RTCDataChannel/ordered
tags:
  - Experimental
  - Property
  - RTCDataChannel
  - Read-only
  - Reference
  - WebRTC
  - ordered
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The read-only <code>RTCDataChannel</code> property <code><strong>ordered</strong></code> indicates whether or not the data channel guarantees in-order delivery of messages; the default is <code>true</code>, which indicates that the data channel is indeed ordered.</span> This is set when the {{domxref("RTCDataChannel")}} is created, by setting the <code>ordered</code> property on the <code><a href="/en-US/docs/Web/API/RTCPeerConnection/createDataChannel#RTCDataChannelInit_dictionary">RTCDataChannelInit</a></code> object passed as {{domxref("RTCPeerConnection.createDataChannel()")}}'s <code>options</code> parameter.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>ordered</em> = <em>aDataChannel</em>.ordered;
</pre>

<p>A {{jsxref("Boolean")}} value which is <code>true</code> if in-order delivery is guaranteed and is otherwise <code>false</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new RTCPeerConnection();
var dc = pc.createDataChannel("my channel");
<code>
if (!dc.ordered) {
  // Handle unordered messaging
}</code>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-datachannel-ordered', 'RTCDataChannel.ordered') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.ordered")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{domxref("RTCDataChannel")}}</li>
 <li>{{domxref("RTCDataChannel.createDataChannel()")}}</li>
</ul>
